<?php
  	ob_start('ob_gzhandler');
  	require_once('config.php');
  	require_once('config_ini.php');
	$chaveacesso = @$_GET["chaveacesso"];
	$nrovenda = @$_GET["nrovenda"];
	if($chaveacesso){
		$sql = "select CHAVEACESSO from VENDAS V where V.SITUACAO = 'I' and V.CHAVEACESSO = '".
			 $chaveacesso . "'";
		$query = ibase_query($conexao, $sql) or die(ibase_errmsg());
		$row = ibase_fetch_row($query);

		if ($row != null) {
			$file = @file_get_contents($local_nfes.'tmp lotes\\'.$chaveacesso.'-nfe.pdf');
			if($file !== false){
				header('Content-type: application/pdf');
				echo $file;
			}else{
				header('Content-Type: text/html');
				echo "ERROR 404 - DANFE nao localizado";
			}
		}else{
			header('Content-Type: text/html');
			echo "ERROR 404 - Nota fiscal nao localizada";
		}
	}else if ($nrovenda > 0) {
		$file = @file_get_contents($local_nfes.'\\'.$_GET["impressao"].'\\'.$_GET["impressao"].'-'.$nrovenda.'.pdf');
		if($file !== false){			
			header('Content-type: application/pdf');
			echo $file;
		}else{
			header('Content-Type: text/html');
			echo "ERROR 404 - Venda não localizada";
		}	
	}else{
		$file = @file_get_contents($local_nfes.'\\'.$_GET["impressao"].'\\'.$_GET["impressao"].'-'.$_GET["nropedido"].'.pdf');
		if($file !== false){			
			header('Content-type: application/pdf');
			echo $file;
		}else{
			header('Content-Type: text/html');
			echo "ERROR 404 - Pedido nao localizado";
		}
	}
?>